To create this project, I used the json key that is generated after using gcloud auth login

NOTE: 

To create all the project with the network, you must enable the compute.googleapis.com api, 
this api is only enabled with a billing account. If you want to create network add your billig ID in project.tf

Info: https://cloud.google.com/billing/docs/how-to/manage-billing-account